View Issue Details

IDProjectCategoryView StatusLast Update
0002968SOGoBackend Calendarpublic2014-11-07 10:37
Reporterdab1818 Assigned Toludovic  
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
PlatformlinuxOSgentoo linux 
Product Version2.2.9a 
Target Version2.2.10Fixed in Version2.2.10 
Summary0002968: timezone info outdated
Description

iCal timezones bundled with SOGo based on 2012j version:
PRODID:-//Inverse inc.//NONSGML Olson 2012j//EN

http://tzurl.org/ has actual 2014g version:
PRODID:-//tzurl.org//NONSGML Olson 2014g//EN

TagsNo tags attached.

Activities

ludovic

ludovic

2014-11-06 11:11

administrator   ~0007661

Fixed - see:

https://github.com/inverse-inc/sogo/commit/49da494260949c1f6fe022e9825f026241f0f1c1

and:

https://github.com/inverse-inc/sogo/commit/54d8aa88870f585ba9bb6422ed7dc68d8a980ea5

dab1818

dab1818

2014-11-06 13:34

reporter   ~0007665

Last edited: 2014-11-06 13:41

View 2 revisions

but... Europe/Moscow now +0300 (http://www.iana.org/time-zones)

compare
https://raw.githubusercontent.com/inverse-inc/sogo/54d8aa88870f585ba9bb6422ed7dc68d8a980ea5/SOPE/NGCards/TimeZones/Europe/Moscow.ics - (+0400)
and http://tzurl.org/zoneinfo-outlook/Europe/Moscow (+0300)

ludovic

ludovic

2014-11-06 13:42

administrator   ~0007666

I downloaded: ftp://munnari.oz.au/pub/tzdata2014e.tar.gz

Which is the latest files. We're not gonna start hand editing tz files...

dab1818

dab1818

2014-11-06 14:07

reporter   ~0007667

http://www.iana.org/time-zones:
"Time Zone Data v. 2014i (Released 2014-10-21) tzdata2014i.tar.gz (282.5kb)"

Europe/Moscow fixed in tzdata2014f.

p.s.: my gentoo linux says "sys-libs/timezone-data Installed versions: 2014g"

ludovic

ludovic

2014-11-06 14:07

administrator   ~0007668

Thanks, I guess I'll update them again!

ludovic

ludovic

2014-11-07 10:37

administrator   ~0007669

https://github.com/inverse-inc/sogo/commit/395a8ddcfefbd0a897274aa278f30c3fc545f4ac

Issue History

Date Modified Username Field Change
2014-10-25 13:26 dab1818 New Issue
2014-11-04 20:04 ludovic Target Version => 2.2.10
2014-11-06 11:11 ludovic Note Added: 0007661
2014-11-06 11:11 ludovic Status new => resolved
2014-11-06 11:11 ludovic Fixed in Version => 2.2.10
2014-11-06 11:11 ludovic Resolution open => fixed
2014-11-06 11:11 ludovic Assigned To => ludovic
2014-11-06 13:34 dab1818 Note Added: 0007665
2014-11-06 13:34 dab1818 Status resolved => feedback
2014-11-06 13:34 dab1818 Resolution fixed => reopened
2014-11-06 13:41 dab1818 Note Edited: 0007665 View Revisions
2014-11-06 13:42 ludovic Note Added: 0007666
2014-11-06 14:07 dab1818 Note Added: 0007667
2014-11-06 14:07 dab1818 Status feedback => assigned
2014-11-06 14:07 ludovic Note Added: 0007668
2014-11-07 10:37 ludovic Note Added: 0007669
2014-11-07 10:37 ludovic Status assigned => resolved
2014-11-07 10:37 ludovic Resolution reopened => fixed